import 'package:flutter/material.dart';
import 'dart:async';
import 'package:dynamic_dialog/dynamic_dialog.dart';
import 'package:flutter/services.dart';

void main() => runApp(APP());
class APP extends StatelessWidget{
  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return MaterialApp(
      home: MyApp(),
    );
  }

}
class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  DynamicDialog _dialog;
  @override
  void initState() {
    super.initState();
    _dialog = DynamicDialog(context,isShowButton:false,widgetInitial: Container(
      width: double.infinity,
      height: 280,
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(8.0)
      ),
      child: CircularProgressIndicator(strokeWidth: 0.7,),
    ));
  }

  // Platform messages are asynchronous, so we initialize in an async method.

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Plugin example app'),
      ),
      body: Center(
        child: FlatButton(onPressed: (){
          _dialog.show();
          Timer.periodic(Duration(seconds: 2), (timer){
            _dialog.update(widget: Container(
              child: Text('Pronto'),
            ));
            timer.cancel();
          });
        }, child: Text('Show')),
      ),
    );
  }
}
